Subject: [ippm] Kathleen Moriarty's No Objection on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

From: "Kathleen Moriarty" <[email-masked]>
Date: Wed, 21 Oct 2015 08:27:34 -0700

Kathleen Moriarty has entered the following ballot position for
draft-ietf-ippm-type-p-monitor-02: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ippm-type-p-monitor/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Since rfc5357 has more discussion on the differences between
unauthenticated, authenticated, and encrypted modes, it would be helpful
to have a pointer to that specific point in the Security Considerations
section.

---

From: Gregory Mirsky <[email-masked]>
Date: Thu, 22 Oct 2015 00:25:56 +0000

Dear Kathleen,
thank you for your comment. I've found the discussion of the three modes in Section 4.2.1. As the discussion was not placed in separate sub-section referencing it directly, not the whole section, is a challenge. Would greatly appreciate your suggestion. And, as I've been asked question related to security, would appreciate your suggestion on how best to relate this proposal with another draft from the IPPM WG - IKEv2-derived Shared Secret Key for O/TWAMP (draft-ietf-ippm-ipsec-11). Perhaps the following can be added into Security Considerations section:
      Methods and procedures to use shared key derived from Internet Key Exchange Protocol Version 2 [RFC7296] described in [I-D.ietf-ippm-ipsec] apply to DSCP and ECN Monitoring extension in full.

        Regards,
                Greg

-----Original Message-----
From: Kathleen Moriarty [mailto:[email-masked]]
Sent: Wednesday, October 21, 2015 8:28 AM
To: The IESG
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Kathleen Moriarty's No Objection on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Since rfc5357 has more discussion on the differences between unauthenticated, authenticated, and encrypted modes, it would be helpful to have a pointer to that specific point in the Security Considerations section.

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Wed, 21 Oct 2015 21:48:18 -0400

Hi Greg,

I think Kathleen is asking for the Security Considerations Section
to include references to sections in TWAMP where the various
security modes are discussed.

Sections such as 3.2, 4., 4.1.2, 4.2, and 4.2.1 of RFC 5357 discuss
these modes in varying degrees of detail.

Al

From: ippm [mailto:[email-masked]] On Behalf Of Gregory Mirsky
Sent: Wednesday, October 21, 2015 8:26 PM
To: Kathleen Moriarty; The IESG
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [ippm] Kathleen Moriarty's No Objection on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Dear Kathleen,

        Regards,
                Greg

---

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 22 Oct 2015 09:00:32 -0400

> these modes in varying degrees of detail.

Yes, that's exactly what I was looking to see added.

Thanks!
Kathleen

> Subject: Re: [ippm] Kathleen Moriarty's No Objection on
> draft-ietf-ippm-type-p-monitor-02: (with COMMENT)
>
>
>
> Dear Kathleen,
>
> thank you for your comment. I've found the discussion of the three modes in
> Section 4.2.1. As the discussion was not placed in separate sub-section
> referencing it directly, not the whole section, is a challenge. Would
> greatly appreciate your suggestion. And, as I've been asked question related
> to security, would appreciate your suggestion on how best to relate this
> proposal with another draft from the IPPM WG - IKEv2-derived Shared Secret
> Key for O/TWAMP (draft-ietf-ippm-ipsec-11). Perhaps the following can be
> added into Security Considerations section:
>
> Methods and procedures to use shared key derived from Internet Key Exchange
> Protocol Version 2 [RFC7296] described in [I-D.ietf-ippm-ipsec] apply to
> DSCP and ECN Monitoring extension in full.
>
>
>
>         Regards,
>
>                 Greg
>
>
>
>
>
> Subject: Kathleen Moriarty's No Objection on
> draft-ietf-ippm-type-p-monitor-02: (with COMMENT)
>
>
>
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this
> unauthenticated, authenticated, and encrypted modes, it would be helpful to
> have a pointer to that specific point in the Security Considerations
> section.
>
>
>
>
>
>

-- 

Best regards,
Kathleen

---

From: Gregory Mirsky <[email-masked]>
Date: Thu, 22 Oct 2015 14:39:46 +0000

Hi Kathleen,
I'll include the text exactly as Al suggested.

	Regards,
		Greg

-----Original Message-----
From: Kathleen Moriarty [mailto:[email-masked]] 
Sent: Thursday, October 22, 2015 6:01 AM
To: MORTON, ALFRED C (AL)
Cc: Gregory Mirsky; The IESG; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Kathleen Moriarty's No Objection on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Thanks!
Kathleen

> thank you for your comment. I've found the discussion of the three 
> modes in Section 4.2.1. As the discussion was not placed in separate 
> sub-section referencing it directly, not the whole section, is a 
> challenge. Would greatly appreciate your suggestion. And, as I've been 
> asked question related to security, would appreciate your suggestion 
> on how best to relate this proposal with another draft from the IPPM 
> WG - IKEv2-derived Shared Secret Key for O/TWAMP 
> (draft-ietf-ippm-ipsec-11). Perhaps the following can be added into Security Considerations section:
>
> Methods and procedures to use shared key derived from Internet Key 
> Exchange Protocol Version 2 [RFC7296] described in 
> [I-D.ietf-ippm-ipsec] apply to DSCP and ECN Monitoring extension in full.
>
>
>
>         Regards,
>
>                 Greg
>
>
>
>
>
> email addresses included in the To and CC lines. (Feel free to cut 
> this introductory paragraph, however.)
>
>
>
>
>
> Please refer to 
> https://www.ietf.org/iesg/statement/discuss-criteria.html
>
> unauthenticated, authenticated, and encrypted modes, it would be 
> helpful to have a pointer to that specific point in the Security 
> Considerations section.
>
>
>
>
>
>

-- 

Best regards,
Kathleen

---

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 22 Oct 2015 10:42:20 -0400

Thank you!

-- 

Best regards,
Kathleen